
// ref: https://umijs.org/config/
import pxToViewPort from 'postcss-px-to-viewport';

const extraPostCSSPlugins = [
  pxToViewPort({
    viewportWidth: 750,
    unitPrecision: 5,
    viewportUnit: 'vw',
    selectorBlackList: [],
    minPixelValue: 1,
    mediaQuery: false
  })
]

export default {
  extraPostCSSPlugins,
  treeShaking: true,
  routes: [
    {
      path: '/',
      component: '../layouts/index',
      routes: [
        { path: '/', component: '../pages/Home' }
      ]
    }
  ],
  plugins: [
    // ref: https://umijs.org/plugin/umi-plugin-react.html
    ['umi-plugin-react', {
      antd: false,
      dva: false,
      dynamicImport: false,
      title: 'debri',
      dll: false,
      hd: true,

      routes: {
        exclude: [
          /components\//,
        ],
      },
    }],
  ],
  extraBabelPlugins: [
    ["import", { libraryName: "antd-mobile", style: true }] // `style: true` 会加载 less 文件
  ],
  proxy: {
    '/api-app': {
      target: 'http://api.timichat.net',
      changeOrigin: true,
      //pathRewrite: { '^/server': '' },
    },
  },
  hash: true,
  outputPath: '/debri'
}
