import { useEffect, useState } from "react";
import { Toast } from 'antd-mobile';
import styles from './Home.less';
function Photo(props) {
  const { imgId } = props;
  const [imgUrl, setImgurl] = useState(null);
  const [imgName, setName] = useState(null);
  const { NativeHook } = props

  useEffect(() => {
    NativeHook.call.getData({
      api: `/api-app/v1/gift/getGift`,
      params: { giftId: imgId },
      isDialogShow: false
    }, (res) => {
      if (res.success && res.code === 'OK') {
        setImgurl(res.data.giftIcon || '');
        setName(res.data.giftName || '');
      } else {
        Toast.fail(res.msg, 1);
      }
    })
  }, [imgId]);

  return (
    <div className={styles.childThree}>
      <div className={styles.threeTop}>
        <img
          style={{
            display: 'inlineBlock',
            width: '100%',
            height: '100%'
          }}
          src={imgUrl} alt="error" />
      </div>
      <div>{imgName}</div>
    </div>
  )
}
export default Photo;