import React, { Component } from 'react';
import { Modal } from "antd-mobile";
import styles from './resultmodal.less';

const $ = window.$;

export default class Modales extends Component {
  constructor(props) {
    super(props);
    this.state = {
      isShow: false
    }
  }
  //碎片动画
  animationInit = () => {
    (function ($, window, document, undefined) {
      var animation = 'tile';
      var effect = '';
      var options = {};
      var lastChecked;
      var lastChecked2;

      function animate() {
        if ($.isEmptyObject(options))
          $('#code').text("$('#image').animate('" + animation + "');");
        else
          $('#code').text("$('#image').animate('" + animation + "', " + JSON.stringify(options, null, 2) + ");");
        $('#image').animate(animation, options);
      }

      function update() {
        var isCombine = $('#combine').is(':checked');
        if (!isCombine) {
          $('#effect .animation-check:checked').filter(function () {
            if (this.id == lastChecked)
              return;
            $(this).attr('checked', false);
          });
        }

        isCombine = $('#combine2').is(':checked');
        if (!isCombine) {
          $('#alternate .animation-check:checked').filter(function () {
            if (this.id == lastChecked2)
              return;
            $(this).attr('checked', false);
          });
        }

        options = {};
        options.effect = $.makeArray($('#effect .animation-check:checked').map(function () {
          return $(this).attr('animation');
        })).join(' ');
        if (!options.effect)
          delete options.effect;
        var alternate = $.makeArray($('#alternate .animation-check:checked').map(function () {
          return $(this).attr('animation');
        })).join(' ');
        if (alternate)
          if (options.effect)
            options.effect = [options.effect, alternate];
          else
            options.effect = alternate;
        $('.option-group select, .option-group input').each(function () {
          var element = $(this);
          var name = element.attr('name');
          var value = element.val();
          if (element.attr('type') == 'checkbox') {
            options[name] = element.is(':checked');
            return;
          }
          if (element.attr('type') == 'number')
            value = parseInt(value);
          if (value)
            options[name] = value;
        });

        if ($.isEmptyObject(options.custom))
          delete options.custom;

        if ($.isEmptyObject(options))
          $('#code').text("$('#image').animate('" + animation + "');");
        else
          $('#code').text("$('#image').animate('" + animation + "', " + JSON.stringify(options, null, 2) + ");");
      }

      function click() {
        var element = $('#' + $(this).attr('for'));
        var animationId = element.attr('id');
        $('#option-' + animationId).toggleClass('disable');
        if (!element.is(':checked')) {
          if (element.parents('#effect').length > 0)
            lastChecked = animationId;
          else
            lastChecked2 = animationId;
        }
      }

      function addButton(key, container) {
        var checkbox = $('<input type="checkbox" class="animation-check"/>');
        checkbox.attr('id', container + key).attr('animation', key);
        var label = $('<label class="animation input"></label>');
        label.text(key).attr('for', container + key).click(click);
        $('#' + container).append(checkbox).append(label);
      }

      $(document).ready(function () {
        for (var key in $.animations) {
          if (key == 'fn' || key == 'tile')
            continue;
          addButton(key, 'effects');
          addButton(key, 'alternates');
        }

        $('#submit').click(animate);

        $('body').on('change', 'input,select', update);

        var img = $('#image')[0];
        if (img.complete || img.readyState === 4) {
          assemble();
        } else {
          $('#image').bind('load', assemble);
        }
      });

      function assemble() {
        options = {
          duration: 2000,
          rows: 12,
          cols: 8,
          effect: 'flyIn',
          fillMode: 'backwards'
        }
        //animate();
      }

    })(window.jQuery, window, document);
  }

  componentDidMount() {
    this.animationInit();
    setTimeout(() => {
      $('#submit').click();
      this.setState({ isShow: true })
    }, 0);
  }

  //前往背包
  goPackage = () => {
    this.props.NativeHook.go.package()
  }

  render() {
    const { visible, onClose, imgUrl, obj } = this.props;
    const { isShow } = this.state;
    return (
      <Modal
        visible={visible}
        onClose={onClose}
        transparent
        maskClosable={true}
        className={styles.result}
      >
        <div className={styles.header}>合成成功</div>
        <div className={styles.imgWrap} id="container">
          <img
            style={{ opacity: isShow ? 1 : 0, width: '100%' }}
            alt="碎片图"
            id="image"
            src={imgUrl}
          />
        </div>
        <div className={styles.descrtion}>恭喜您，消耗{obj.debris}个{obj.name}碎片，成功合成1个{obj.name}，请前往【我的-背包】中查看您合成的礼物。</div>
        <div id="submit"></div>
        <div className={styles.fillLess}></div>
        <div className={styles.footer}>
          <div onClick={onClose} className={styles.footerLeft}>知道了</div>
          <div onClick={onClose} className={styles.footerRight} onClick={this.goPackage}>前往查看</div>
        </div>
      </Modal>
    )
  }
}
